package com.mvc.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mvc.model.weixin.DeviceStatusModel;
import org.springframework.format.annotation.DateTimeFormat;
import java.math.BigDecimal;
import java.util.Date;

public class StationAccModel {
    private Integer id;

    private String stationCode;

    private String stationName;

    private String stationPy;

    //水表接入类型(1水务系统,2其它)-借用字段
    private String meterId;

    private String groupCode;

    private String groupName;

    private String setupId;

    private BigDecimal stationLon;

    private BigDecimal stationLat;

    private String stationContacts;

    private String deviceSetupFlag;

    @DateTimeFormat(pattern = "yyyyMMddHHmmss")
    @JsonFormat(pattern = "yyyyMMddHHmmss", timezone="GMT+8")
    private Date deviceSetupDate;

    private String deviceSetupMan;

    private String deviceSn;

    private String wmId;

    private String memo;

    @DateTimeFormat(pattern = "yyyyMMddHHmmss")
    @JsonFormat(pattern = "yyyyMMddHHmmss", timezone="GMT+8")
    private Date createTime;

    private String createMan;

    private String useFlag;

    private String unitCode;

    private String visUnitCodes;

    private String createUnitCode;

    private String reviewFlag;

    private String unitName;

    private String visUnitNames;

    private String meterFontStyle;

    private String deviceType;

    private Integer deviceUnit;

    private String stationCodeOld;

    private BigDecimal iotCardRemaingprs;

    private String iotCardDuedate;

    private String iotCardWorkingcondition;

    private String isgz;

    private String userDefinedCode;

    private String reviewTimeType;

    /**
     * 站点全名称
     */
    private String stationFullName;

    /**
     * 单位结构表ID
     */
    private Integer unitStructureId;

    private Integer page;

    private Integer rows;

    //最新一条读数(小程序使用) 2022-08-02 guozhao
    private TAireadModel tAireadModel;

    private DeviceStatusModel DeviceStatusModel;//设备状态统计信息（小程序使用）

    private String oldDeviceSn;//设备更换时的旧设备SN 2024-09-30 guozhao

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode == null ? null : stationCode.trim();
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName == null ? null : stationName.trim();
    }

    public String getStationPy() {
        return stationPy;
    }

    public void setStationPy(String stationPy) {
        this.stationPy = stationPy == null ? null : stationPy.trim();
    }

    public String getMeterId() {
        return meterId;
    }

    public void setMeterId(String meterId) {
        this.meterId = meterId == null ? null : meterId.trim();
    }

    public String getGroupCode() {
        return groupCode;
    }

    public void setGroupCode(String groupCode) {
        this.groupCode = groupCode == null ? null : groupCode.trim();
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName == null ? null : groupName.trim();
    }

    public String getSetupId() {
        return setupId;
    }

    public void setSetupId(String setupId) {
        this.setupId = setupId == null ? null : setupId.trim();
    }

    public BigDecimal getStationLon() {
        return stationLon;
    }

    public void setStationLon(BigDecimal stationLon) {
        this.stationLon = stationLon;
    }

    public BigDecimal getStationLat() {
        return stationLat;
    }

    public void setStationLat(BigDecimal stationLat) {
        this.stationLat = stationLat;
    }

    public String getStationContacts() {
        return stationContacts;
    }

    public void setStationContacts(String stationContacts) {
        this.stationContacts = stationContacts == null ? null : stationContacts.trim();
    }

    public String getDeviceSetupFlag() {
        return deviceSetupFlag;
    }

    public void setDeviceSetupFlag(String deviceSetupFlag) {
        this.deviceSetupFlag = deviceSetupFlag == null ? null : deviceSetupFlag.trim();
    }

    public Date getDeviceSetupDate() {
        return deviceSetupDate;
    }

    public void setDeviceSetupDate(Date deviceSetupDate) {
        this.deviceSetupDate = deviceSetupDate;
    }

    public String getDeviceSetupMan() {
        return deviceSetupMan;
    }

    public void setDeviceSetupMan(String deviceSetupMan) {
        this.deviceSetupMan = deviceSetupMan == null ? null : deviceSetupMan.trim();
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn == null ? null : deviceSn.trim();
    }

    public String getWmId() {
        return wmId;
    }

    public void setWmId(String wmId) {
        this.wmId = wmId == null ? null : wmId.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateMan() {
        return createMan;
    }

    public void setCreateMan(String createMan) {
        this.createMan = createMan == null ? null : createMan.trim();
    }

    public String getUseFlag() {
        return useFlag;
    }

    public void setUseFlag(String useFlag) {
        this.useFlag = useFlag == null ? null : useFlag.trim();
    }

    public String getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode == null ? null : unitCode.trim();
    }

    public String getVisUnitCodes() {
        return visUnitCodes;
    }

    public void setVisUnitCodes(String visUnitCodes) {
        this.visUnitCodes = visUnitCodes == null ? null : visUnitCodes.trim();
    }

    public String getCreateUnitCode() {
        return createUnitCode;
    }

    public void setCreateUnitCode(String createUnitCode) {
        this.createUnitCode = createUnitCode == null ? null : createUnitCode.trim();
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public String getVisUnitNames() {
        return visUnitNames;
    }

    public void setVisUnitNames(String visUnitNames) {
        this.visUnitNames = visUnitNames;
    }

    public String getStationCodeOld() {
        return stationCodeOld;
    }

    public void setStationCodeOld(String stationCodeOld) {
        this.stationCodeOld = stationCodeOld == null ? null : stationCodeOld.trim();
    }

    public BigDecimal getIotCardRemaingprs() {
        return iotCardRemaingprs;
    }

    public void setIotCardRemaingprs(BigDecimal iotCardRemaingprs) {
        this.iotCardRemaingprs = iotCardRemaingprs;
    }

    public String getIotCardDuedate() {
        return iotCardDuedate;
    }

    public void setIotCardDuedate(String iotCardDuedate) {
        this.iotCardDuedate = iotCardDuedate == null ? null : iotCardDuedate.trim();
    }

    public String getIotCardWorkingcondition() {
        return iotCardWorkingcondition;
    }

    public void setIotCardWorkingcondition(String iotCardWorkingcondition) {
        this.iotCardWorkingcondition = iotCardWorkingcondition == null ? null : iotCardWorkingcondition.trim();
    }

    public String getIsgz() {
        return isgz;
    }

    public void setIsgz(String isgz) {
        this.isgz = isgz;
    }

    public String getUserDefinedCode() {
        return userDefinedCode;
    }

    public void setUserDefinedCode(String userDefinedCode) {
        this.userDefinedCode = userDefinedCode;
    }

    public String getReviewTimeType() {
        return reviewTimeType;
    }

    public void setReviewTimeType(String reviewTimeType) {
        this.reviewTimeType = reviewTimeType == null ? null : reviewTimeType.trim();
    }

    public String getStationFullName() {
        return stationFullName;
    }

    public void setStationFullName(String stationFullName) {
        this.stationFullName = stationFullName == null ? null : stationFullName.trim();
    }

    public Integer getUnitStructureId() {
        return unitStructureId;
    }

    public void setUnitStructureId(Integer unitStructureId) {
        this.unitStructureId = unitStructureId;
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Integer getRows() {
        return rows;
    }

    public void setRows(Integer rows) {
        this.rows = rows;
    }

    public TAireadModel gettAireadModel() {
        return tAireadModel;
    }

    public void settAireadModel(TAireadModel tAireadModel) {
        this.tAireadModel = tAireadModel;
    }

    public String getReviewFlag() {
        return reviewFlag;
    }

    public void setReviewFlag(String reviewFlag) {
        this.reviewFlag = reviewFlag == null ? null : reviewFlag.trim();
    }

    public String getMeterFontStyle() {
        return meterFontStyle;
    }

    public void setMeterFontStyle(String meterFontStyle) {
        this.meterFontStyle = meterFontStyle == null ? null : meterFontStyle.trim();
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType == null ? null : deviceType.trim();
    }

    public Integer getDeviceUnit() {
        return deviceUnit;
    }

    public void setDeviceUnit(Integer deviceUnit) {
        this.deviceUnit = deviceUnit;
    }

    public com.mvc.model.weixin.DeviceStatusModel getDeviceStatusModel() {
        return DeviceStatusModel;
    }

    public void setDeviceStatusModel(com.mvc.model.weixin.DeviceStatusModel deviceStatusModel) {
        DeviceStatusModel = deviceStatusModel;
    }

    public String getOldDeviceSn() {
        return oldDeviceSn;
    }

    public void setOldDeviceSn(String oldDeviceSn) {
        this.oldDeviceSn = oldDeviceSn;
    }
}
